net.minecraft.client.audio

## Enum SoundCategory

- java.lang.Object
- - java.lang.Enum<SoundCategory>
  - - net.minecraft.client.audio.SoundCategory

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SoundCategory>

      public enum SoundCategory
      extends java.lang.Enum<SoundCategory>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AMBIENT`
    `ANIMALS`
    `BLOCKS`
    `MASTER`
    `MOBS`
    `MUSIC`
    `PLAYERS`
    `RECORDS`
    `WEATHER`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SoundCategory` | `func_147154_a(java.lang.String p_147154_0_)`
    `int` | `getCategoryId()`
    `java.lang.String` | `getCategoryName()`
    `static SoundCategory` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SoundCategory[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MASTER

          public static final SoundCategory MASTER

    - #### MUSIC

          public static final SoundCategory MUSIC

    - #### RECORDS

          public static final SoundCategory RECORDS

    - #### WEATHER

          public static final SoundCategory WEATHER

    - #### BLOCKS

          public static final SoundCategory BLOCKS

    - #### MOBS

          public static final SoundCategory MOBS

    - #### ANIMALS

          public static final SoundCategory ANIMALS

    - #### PLAYERS

          public static final SoundCategory PLAYERS

    - #### AMBIENT

          public static final SoundCategory AMBIENT

  - ### Method Detail

    - #### values

          public static SoundCategory[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SoundCategory c : SoundCategory.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SoundCategory valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCategoryName

          public java.lang.String getCategoryName()

    - #### getCategoryId

          public int getCategoryId()

    - #### func_147154_a

          public static SoundCategory func_147154_a(java.lang.String p_147154_0_)